﻿using ELTE.TravelAgency.Service.Models;
using Microsoft.Practices.Unity;
using System.Web.Http;

namespace ELTE.TravelAgency.Service
{
    public static class WebApiConfig
    {
        public static void Register(HttpConfiguration config)
        {
            // Web API configuration and services

            // Web API routes
            config.MapHttpAttributeRoutes();

            config.Routes.MapHttpRoute(
                name: "DefaultApi",
                routeTemplate: "api/{controller}/{id}",
                defaults: new { id = RouteParameter.Optional }
            );

            // IoC tároló az adatbázis kezeléséhez
            UnityContainer container = new UnityContainer();
            container.RegisterType<ITravelAgencyEntities, TravelAgencyEntities>();

            // az IoC tárolónkat fogja a rendszer használni a függőségek feloldására
            config.DependencyResolver = new UnityResolver(container);
        }
    }
}
