using ELTE.TravelAgency.Service.Models;
using Microsoft.AspNet.Identity;
using Microsoft.AspNet.Identity.EntityFramework;
using System.Data.Entity.Migrations;
using System.Linq;

namespace ELTE.TravelAgency.Service.Migrations
{
    internal sealed class Configuration : DbMigrationsConfiguration<AdministratorDbContext>
    {
        public Configuration()
        {
            AutomaticMigrationsEnabled = false;
        }

        protected override void Seed(AdministratorDbContext context)
        {
            // adatbzis feltltse adatokkal

            if (!context.Users.Any(u => u.UserName == "admin"))
            {
                // ammenyiben mg nincs admin felhasznl
                RoleManager<IdentityRole> roleManager = new RoleManager<IdentityRole>(new RoleStore<IdentityRole>(context));
                UserManager<IdentityUser> userManager = new UserManager<IdentityUser>(new UserStore<IdentityUser>(context));

                IdentityRole role = new IdentityRole { Name = "administrator" }; // ltrehozzuk az administrator csoportot
                roleManager.Create(role);

                IdentityUser adminUser = new IdentityUser { UserName = "admin" }; // ltrehozzuk az admin felhasznlt a csoportban
                userManager.Create(adminUser, "tooLAZYforaGOODpassword");
                userManager.AddToRole(adminUser.Id, "administrator");
            }
        }
    }
}
